%define sourcedir stable/%{version}/distribution/tar/generic/source
%define pkg kdetoys
%define VER 2.1.1
%define DATE 20010205
%define is_release 1
%define is_preview 0

%if %{is_preview}
Name: %{pkg}2
Prefix: /usr/lib/kde2
Requires: kdesupport2
%else
Name: %{pkg}
Prefix: /usr
Requires: kdesupport
%endif
%if %{is_release}
Version: %{VER}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{pkg}-%{version}.tar.bz2
%else
Version: %{VER}.%{DATE}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{pkg}-%{DATE}.tar.bz2
%endif
Icon: kde-icon.xpm
Summary: K Desktop Environment - Toys and Amusements
Release: 2a
Epoch: 7
Group: Amusements/Graphics
BuildRoot: %{_tmppath}/%{name}-%{version}-root
License: GPL
Prereq: /sbin/ldconfig
ExcludeArch: sparc

%description
Toys for the K Desktop Environment.

Includes: kmoon (displays various phases of the moon); kworldwatch
(displays where in the world it is light and dark depending on time), and
kodo (a mouse odometer which shows how far your mouse has traveled).

%prep
rm -rf $RPM_BUILD_ROOT

%if %{is_release}
%setup -q
%else
%setup -q -n %{pkg}
%endif
make -f Makefile.cvs

%build
# like libtoolize, but different
%ifarch s390 s390x
for file in config.sub config.guess ; do
  for place in `find . -type f -name $file` ; do
     cp -f /usr/share/libtool/$file $place
  done
done
%endif

export KDEDIR=%{prefix}
unset QTDIR || : ; . /etc/profile.d/qt.sh

%ifnarch alpha
CFLAGS="-D_GNU_SOURCE $RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG" \
CXXFLAGS="-D_GNU_SOURCE $RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG -fno-check-new" \
%else
CFLAGS="-D_GNU_SOURCE -O0" CXXFLAGS="-D_GNU_SOURCE -O0 -fno-check-new" \
%endif
./configure --prefix=%{prefix}

make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

# fixes symlinks
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/HTML/en/common
cd $RPM_BUILD_ROOT/usr/share/doc/HTML/en/kteatime && ln -nfs ../common common
cd $RPM_BUILD_ROOT/usr/share/doc/HTML/en/kscore && ln -nfs ../common common
cd $RPM_BUILD_ROOT/usr/share/doc/HTML/en/kodo && ln -nfs ../common common
cd $RPM_BUILD_ROOT/usr/share/doc/HTML/en/kmoon && ln -nfs ../common common
cd $RPM_BUILD_ROOT/usr/share/doc/HTML/en/kworldwatch && ln -nfs ../common common
cd $RPM_BUILD_ROOT/usr/share/doc/HTML/en/amor && ln -nfs ../common common
cd $RPM_BUILD_ROOT/usr/share/apps/amor && ln -nfs tips-en tips

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{prefix}/bin/*
%{prefix}/include/*
%{prefix}/lib/*
%{prefix}/share/applnk/System/ScreenSavers/ktux.desktop
%{prefix}/share/apps/amor
%{prefix}/share/apps/kdesktop/programs/kdeworld.desktop
%{prefix}/share/apps/kicker/applets/*
%{prefix}/share/applnk/Toys
%{prefix}/share/apps/kmoon
%{prefix}/share/apps/kodo
%{prefix}/share/apps/ktux
%{prefix}/share/apps/kworldwatch
%{prefix}/share/doc/HTML/en/*
%{prefix}/share/icons/*/*/apps/*

%changelog
* Fri May  4 2001 Oliver Paukstadt <oliver.paukstadt@millenux.com>
- ported to IBM zSeries (s390x, 64 bit)

* Thu Mar 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-2
- Fix owner
- Optimize %%post and %%postun

* Tue Mar 20 2001 Than Ngo <than@redhat.com>
- update 2.1.1
- clean up specfile

* Wed Feb 28 2001 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Than Ngo <than@redhat.com>
- update to 2.1

* Mon Feb 05 2001 Than Ngo <than@redhat.com>
- updated
- fixed absolute-pathname symlinks (bug #24795)

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to CVS 
- Don't exclude ia64

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final


* Wed Oct  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Thu Aug 24 2000 Than Ngo <than@redhat.com>
- update to kdetoys-1.93

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- SMPify
- don't hardcode QTDIR

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Wed Jun 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Mon Apr 10 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 snapshot

* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- KDE_1_1_BRANCH
- rebuild for 6.2

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- marked docs files as such.

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- got 1.1.2 release.

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- built for 6.1

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes
